Name:           klavaro
Version:        1.2.4
Release:        1%{?dist}
Summary:        Typing tutor

Group:          Applications/Multimedia
License:        GPLv3+
URL:            http://klavaro.sourceforge.net/en/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python
BuildRequires:  python-docutils
BuildRequires:  python-ctypes
BuildRequires:  gtkdatabox-devel
BuildRequires:  libcurl-devel
BuildRequires:  libsexy-devel

BuildRequires:  gettext
BuildRequires:  desktop-file-utils

Requires:       hicolor-icon-theme


%description
Klavaro  is a touch typing tutor that is very flexible and supports 
customizable keyboard layouts. Users can edit and save new or unknown
keyboard layouts, as the basic course provided by the program was
designed to not depend on specific layouts.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"
#Adding folder for .desktop file
mkdir -p %{buildroot}%{_datadir}/applications
mv data/%{name}.desktop %{buildroot}%{_datadir}/applications/
desktop-file-install                                    \
    --dir=%{buildroot}%{_datadir}/applications          \
    %{buildroot}%{_datadir}/applications/%{name}.desktop
#Adding folder for scores saving
mkdir -p %{buildroot}%{_localstatedir}/games/%{name}
%find_lang %{name}


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%attr(0755, root, games) %{_localstatedir}/games/%{name}
%{_mandir}/man*/*.*
%{_bindir}/%{name}*
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*x*/apps/%{name}.png


%changelog
* Sun Aug 23 2009 Mathieu Bridon <bochecha@fedoraproject.org> - 1.2.4-1
- Update to 1.2.4

* Sun Aug 23 2009 Mathieu Bridon <bochecha@fedoraproject.org> - 1.2.3-1
- Update to 1.2.3

* Wed Jul 15 2009 Fabian Affolter <fabian@bernewireless.net> - 1.2.1-3
- Fixed license tag

* Mon Jul 13 2009 Fabian Affolter <fabian@bernewireless.net> - 1.2.1-2
- https://sourceforge.net/tracker/?func=detail&aid=2819484&group_id=135657&atid=733522
- Removed the changing of the permission of /usr/bin/klavaro_helper

* Fri Jul 10 2009 Fabian Affolter <fabian@bernewireless.net> - 1.2.1-1
- Updated BR
- .desktop file and icon are now in the source
- Updated to new upstream version 1.2.1

* Sun Apr 11 2009 Fabian Affolter <fabian@bernewireless.net> - 1.1.9-1
- Initial package for Fedora
